# TODO:
# move Tao and semweb to separate package?

%def_disable static
%add_findprov_lib_path %_libdir/f-spot
%define ver_major 0.5

Name: f-spot
Version: %ver_major.0.3
Release: alt4

Summary: F-Spot Photo Manager
License: GPLv2+
Group: Graphics

Url: http://f-spot.org
Source: http://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Patch0: f-spot-0.5.0.3-alt-unrequires-debugers.patch
Patch1: f-spot-0.4.2-alt-fix-acinclude.patch
Patch2: f-spot-0.4.2-alt-fix-link-libfspot.patch
Patch3: f-spot-0.4.2-alt-fix-link-libfspoteog.patch
Patch4: f-spot-0.4.2-alt-fix-link-libfspotjpegtran.patch
Patch6: f-spot-0.5.0-alt-use-system-libgphoto2-sharp.patch
Patch7: f-spot-0.4.3.1-alt-use-system-mono-addins.patch
Patch8: f-spot-0.4.3.1-alt-use-system-gnome-keyring-sharp.patch
Patch9: f-spot-0.5.0-alt-use-system-flickr-sharp.patch
Patch10: f-spot-0.4.3.1-alt-use-system-glitz-sharp.patch
Patch11: f-spot-0.5.0-alt-use-system-google-sharp.patch
Patch12: f-spot-0.5.0-forwardport-flickrnet-2.1.5.patch
Patch16: f-spot-x-content.patch
Patch17: f-spot-deb-no_dup_apps_icons.patch
Patch18: f-spot-deb-importer_targetdir_selector.patch
Patch20: f-spot-0.4.3-alt-feat-screansaver.patch
Patch21: f-spot-0.4.3.1-alt-fix-version-libgphoto2.patch
Patch22: f-spot-deb-optional-beagle.patch
Patch23: f-spot-0.5.0-alt-use-system-gio-sharp.patch

Patch33: f-spot-0.4.2-no-multiple-files-in-viewer.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=551803 
Patch34: f-spot-0.5.0.2-fix-bogus-camera-selection-dialog.patch
# gw from this upstream bug, fix crash when clicking on edit with no image 
# in the collection 
# http://bugzilla.gnome.org/show_bug.cgi?id=556395 
Patch35: f-spot-0.5.0.2-no-image-in-collection-crash-fix.patch

PreReq: librarian desktop-file-utils
BuildPreReq: desktop-file-utils

# Automatically added by buildreq on Tue Aug 12 2008
BuildRequires: beagle docbook-dtds gcc-c++ gnome-doc-utils-xslt libexif-devel libflickr-sharp libglitz-sharp libgnome-desktop-sharp libgnome-keyring-sharp libgnomeui-devel libgoogle-sharp libgtk-sharp2-devel libjpeg-devel liblcms-devel libmono-devel mono-addins mono-devel mono-mcs mono-nunit

# Not detected by buildreq:
BuildRequires: libgphoto2-devel libsqlite3-devel libgnome-sharp-devel gnome-doc-utils
# need for gio-sharp
BuildPreReq: libgtk-sharp2-devel >= 2.12.1
BuildPreReq: libgio-devel libgio-sharp

# Needed to properly detect run-time Mono dependencies:
BuildRequires: rpm-build-mono
BuildRequires: /proc

%description
F-Spot is a full-featured personal photo management application for the
GNOME desktop.

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch7 -p1
%patch8 -p1
%patch10 -p1
%patch9 -p1
%patch11 -p1
%patch12 -p1
#%patch6 -p1
%patch16 -p1
%patch17 -p1
#%patch18 -p1
%patch20 -p1
%patch21 -p1
##%patch22 -p1
%patch23 -p1
%patch33 -p1
%patch34 -p1
%patch35

%build
intltoolize --force
%autoreconf
%configure 			\
	%{subst_enable static}	\
	--disable-scrollkeeper	\
	--disable-schemas-install
	
# Parallel make unsafe :(
%make

%install
%make_install DESTDIR=%buildroot install
%find_lang --with-gnome %name

%files -f %name.lang
%_bindir/*
%_libdir/f-spot
%_desktopdir/f-spot*
%_miconsdir/*
%_niconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/scalable/apps/*
%_datadir/f-spot
%_prefix/libexec/gnome-screensaver/f-spot-screensaver
%_datadir/applications/screensavers/*
%_pkgconfigdir/*
%exclude %_libdir/f-spot/*.la

%changelog
* Tue Feb 24 2009 Alexey Shabalin <shaba@altlinux.ru> 0.5.0.3-alt4
- fix Gnome bugs #551803,#556395

* Tue Dec 02 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0.3-alt3
- rebuild with new libflickr-sharp
- removed obsolete post scripts

* Fri Nov 14 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0.3-alt2
- don't requires debugers

* Wed Oct 22 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.0.3-alt1
- 0.5.0.3

* Tue Aug 12 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.4-alt1
- 0.4.4
- package files for gnome-screensaver

* Tue May 06 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.3.1-alt1
- 0.4.3.1
- i know, what export to picasa don't work
- update patches for build system libs
- build with local libgphoto2-sharp
- add patch from debian for optional use beagle

* Tue Apr 22 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.2-alt2
- rebuild with new libgpoto
- fix build with gtkhtml-sharp
- add patch from svn/branch-0.4.2-stable
- add mime type in desktop file

* Fri Mar 07 2008 Victor Forsyuk <force@altlinux.org> 0.4.2-alt1
- 0.4.2

* Thu Jan 31 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.1-alt2
- rewrite patch3(use system libs) with autotools syntax		

* Thu Jan 17 2008 Alexey Shabalin <shaba@altlinux.ru> 0.4.1-alt1
- 0.4.1
- build with system libs (patch3):
  + Mono.Addins
  + NDesk.DBus and NDesk.DBus.GLib
  + FlickrNet
  + google-sharp
  + gnome-keyring-sharp
  + glitz-sharp
  + libgphoto2-sharp
- update patch for linking (patch0)
- import debian patches (patch10-patch17):

* Wed Oct 17 2007 Victor Forsyuk <force@altlinux.org> 0.3.5-alt2
- Fix FTBFS in current build environment.

* Fri Apr 06 2007 Victor Forsyuk <force@altlinux.org> 0.3.5-alt1
- 0.3.5

* Wed Feb 07 2007 Victor Forsyuk <force@altlinux.org> 0.3.2-alt2
- Fixed Provides issue properly.

* Mon Feb 05 2007 Victor Forsyuk <force@altlinux.org> 0.3.2-alt1
- 0.3.2
- Fix ALT#9704.

* Thu Nov 30 2006 Victor Forsyuk <force@altlinux.org> 0.3.0-alt1
- 0.3.0
- Build with rpm-build-mono.

* Thu Oct 19 2006 Victor Forsyuk <force@altlinux.org> 0.2.2-alt1
- 0.2.2

* Mon May 29 2006 Victor Forsyuk <force@altlinux.ru> 0.1.11-alt1
- Initial build.
